using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using System.Text;
using iElection.Annotations;
using iElection.Models.Entities;

namespace iElection.Models.Dto
{
    public class InviteContactDto : INotifyPropertyChanged
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public int Age { get; set; }
        public GenderType Gender { get; set; }

        public string GenderName
        {
            get
            {
                if (Gender == GenderType.Male)
                    return "مرد";
                else
                    return "زن";
            }
        }

        public string Phone { get; set; }
        public int JobId { get; set; }
        public int DistrictId { get; set; }
        public string District { get; set; }
        public string Job { get; set; }
        public string FullName
        {
            get
            {
                return FirstName + " " + LastName;
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        [NotifyPropertyChangedInvocator]
        protected virtual void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
